<?php
$sub_menu = "200800";
include_once("./_common.php");

auth_check($auth[$sub_menu], "r");

$g4[title] = "요일별 접속자현황";
include_once("./admin.head.php");
include_once("./visit.sub.php");

$colspan = 4;
?>

<div class='row'>
    <div class='col-sm-12'>
        <table class='table table-striped'>
            <thead>
                <tr>
                    <th style="width: 50px">요일</th>
                    <th style="width: 80px">방문자수</th>
                    <th style="width: 70px">비율(%)</th>
                    <th>그래프</th>
                </tr>
            </thead>
            <?php
            $weekday = array('월', '화', '수', '목', '금', '토', '일');

            $sum_count = 0;
            $sql = " select WEEKDAY(vs_date) as weekday_date, SUM(vs_count) as cnt 
           from $g4[visit_sum_table]
          where vs_date between '$fr_date' and '$to_date'
          group by weekday_date
          order by weekday_date ";
            $result = sql_query($sql);
            for ($i = 0; $row = sql_fetch_array($result); $i++) {
                $arr[$row[weekday_date]] = $row[cnt];

                $sum_count += $row[cnt];
            }

            $k = 0;
            if ($i) {
                for ($i = 0; $i < 7; $i++) {
                    $count = (int) $arr[$i];

                    $rate = ($count / $sum_count * 100);
                    $s_rate = number_format($rate, 1);
                    $graph = "<img src='{$g4['g4m_admin_path']}/img/graph.gif' width='$rate%' height='18'>";

                    $list = ($k++ % 2);
                    echo "
                        <tr >
                            <td>$weekday[$i]</td>
                            <td>$count</td>
                            <td>$s_rate</td>
                            <td align=left>$graph</td>
                        </tr>";
                }

                echo "
                    <tr>
                        <td>합계</td>
                        <td>$sum_count</td>
                        <td colspan=2>&nbsp;</td>
                    </tr>";
            } else {
                echo "<tr><td colspan='{$colspan}' height=100 align=center>자료가 없습니다.</td></tr>";
            }
            ?>
        </table>
        <?php
        $page = get_paging($config['cf_m_write_pages'], $page, $total_page, "$_SERVER[PHP_SELF]?$qstr&domain=$domain&page=");
        if ($page) {
            ?>
            <div class='col-sm-12'>
                <?php echo $page ?>
            </div>
        <?php } ?>
    </div>
</div>


<?php
include_once("./admin.tail.php");
?>
